explain_fpathconf_or_die(3)

NAME
explain_fpathconf_or_die - get file configuration and report errors

SYNOPSIS
#include <libexplain/fpathconf.h>

long explain_fpathconf_or_die(int fildes, int name);

DESCRIPTION
The explain_fpathconf_or_die function is used to call the fpathconf(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fpathconf(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    long result = explain_fpathconf_or_die(fildes, name);

fildes
    The fildes, exactly as to be passed to the fpathconf(3) system call.

name
    The name, exactly as to be passed to the fpathconf(3) system call.

Returns:
    This function only returns on success, see fpathconf(3) for more information. On failure, prints an explanation and exits.

SEE ALSO

fpathconf(3)
    get configuration values for files

explain_fpathconf(3)
    explain fpathconf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller